diff --git a/helper/chksum.c b/helper/chksum.c
index ae70d97e..f8303b4e 100644
--- a/helper/chksum.c
+++ b/helper/chksum.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odp.h>
 #include <odp/helper/ip.h>
 #include <odp/helper/udp.h>
diff --git a/helper/cuckootable.c b/helper/cuckootable.c
index 32800911..4707191d 100644
--- a/helper/cuckootable.c
+++ b/helper/cuckootable.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 /*-
  *   BSD LICENSE
  *
diff --git a/helper/eth.c b/helper/eth.c
index 9a151fa2..b7c2c6b7 100644
--- a/helper/eth.c
+++ b/helper/eth.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odp/helper/eth.h>
 
 #include <stdio.h>
diff --git a/helper/hashtable.c b/helper/hashtable.c
index f26b18b2..b124c2d7 100644
--- a/helper/hashtable.c
+++ b/helper/hashtable.c
@@ -3,6 +3,9 @@
  *
  * SPDX-License-Identifier:   BSD-3-Clause
  */
+
+#include "config.h"
+
 #include <stdio.h>
 #include <string.h>
 #include <malloc.h>
diff --git a/helper/ip.c b/helper/ip.c
index eb73e5a0..463a45d0 100644
--- a/helper/ip.c
+++ b/helper/ip.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odp/helper/ip.h>
 
 #include <stdio.h>
diff --git a/helper/iplookuptable.c b/helper/iplookuptable.c
index ac7d0587..7ca68de2 100644
--- a/helper/iplookuptable.c
+++ b/helper/iplookuptable.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <string.h>
 #include <stdint.h>
 #include <errno.h>
diff --git a/helper/lineartable.c b/helper/lineartable.c
index dd4a5995..831eb11b 100644
--- a/helper/lineartable.c
+++ b/helper/lineartable.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:	BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <stdio.h>
 #include <string.h>
 #include <malloc.h>
diff --git a/helper/linux/thread.c b/helper/linux/thread.c
index 52d4efc5..94ab83a9 100644
--- a/helper/linux/thread.c
+++ b/helper/linux/thread.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #ifndef _GNU_SOURCE
 #define _GNU_SOURCE
 #endif
diff --git a/helper/test/chksum.c b/helper/test/chksum.c
index 1beae47f..914eab04 100644
--- a/helper/test/chksum.c
+++ b/helper/test/chksum.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include "odph_debug.h"
 #include <odp_api.h>
 #include <odp/helper/odph_api.h>
diff --git a/helper/test/cuckootable.c b/helper/test/cuckootable.c
index be655911..ebe79167 100644
--- a/helper/test/cuckootable.c
+++ b/helper/test/cuckootable.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 /*-
  *   BSD LICENSE
  *
diff --git a/helper/test/iplookuptable.c b/helper/test/iplookuptable.c
index b5d774cb..e56e22c4 100644
--- a/helper/test/iplookuptable.c
+++ b/helper/test/iplookuptable.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <stdio.h>
 #include <stdint.h>
 #include <string.h>
diff --git a/helper/test/linux/process.c b/helper/test/linux/process.c
index e08ef868..94169086 100644
--- a/helper/test/linux/process.c
+++ b/helper/test/linux/process.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odph_debug.h>
 #include <odp_api.h>
 #include <odp/helper/linux/pthread.h>
diff --git a/helper/test/linux/pthread.c b/helper/test/linux/pthread.c
index 2bec0d17..5b2f6887 100644
--- a/helper/test/linux/pthread.c
+++ b/helper/test/linux/pthread.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odph_debug.h>
 #include <odp_api.h>
 #include <odp/helper/linux/pthread.h>
diff --git a/helper/test/odpthreads.c b/helper/test/odpthreads.c
index 219e1b65..0434b117 100644
--- a/helper/test/odpthreads.c
+++ b/helper/test/odpthreads.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 /*
  * This program tests the ability of the linux helper to create ODP threads,
  * either implemented as linux pthreads or as linux processes, depending on
diff --git a/helper/test/parse.c b/helper/test/parse.c
index 0429f2cc..d5f7b251 100644
--- a/helper/test/parse.c
+++ b/helper/test/parse.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odph_debug.h>
 
 #include <odp_api.h>
diff --git a/helper/test/table.c b/helper/test/table.c
index ac454da5..b3d17e1f 100644
--- a/helper/test/table.c
+++ b/helper/test/table.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:BSD-3-Clause
  */
 
+#include "config.h"
+
 #include <odph_debug.h>
 #include <odp/helper/odph_api.h>
 #include <odp_api.h>
diff --git a/helper/threads.c b/helper/threads.c
index cb747e5b..a83014d4 100644
--- a/helper/threads.c
+++ b/helper/threads.c
@@ -4,6 +4,8 @@
  * SPDX-License-Identifier:     BSD-3-Clause
  */
 
+#include "config.h"
+
 #ifndef _GNU_SOURCE
 #define _GNU_SOURCE
 #endif