diff --git a/helper/Makefile.am b/helper/Makefile.am
index c668386d9..ee1c17d6d 100644
--- a/helper/Makefile.am
+++ b/helper/Makefile.am
@@ -2,47 +2,48 @@ pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libodphelper.pc
 
 LIB   = $(top_builddir)/lib
-AM_CPPFLAGS = -I$(srcdir)/include
-AM_CPPFLAGS += -I$(top_srcdir)/platform/@with_platform@/include
-AM_CPPFLAGS += -I$(top_srcdir)/include
-AM_CPPFLAGS += -I$(top_srcdir)/include/odp/arch/@ARCH_ABI@
-AM_CPPFLAGS += -I$(top_builddir)/platform/@with_platform@/include
-AM_CPPFLAGS += -I$(top_srcdir)/platform/@with_platform@/arch/@ARCH_DIR@
-AM_CPPFLAGS += -I$(top_builddir)/include
+AM_CPPFLAGS = \
+	-I$(top_builddir)/platform/@with_platform@/include \
+	-I$(top_srcdir)/helper/include \
+	-I$(top_srcdir)/include \
+	-I$(top_srcdir)/include/odp/arch/@ARCH_ABI@ \
+	-I$(top_srcdir)/platform/@with_platform@/include \
+	-I$(top_srcdir)/platform/@with_platform@/arch/@ARCH_DIR@ \
+	-I$(top_builddir)/include
 
 AM_LDFLAGS = -version-number '$(ODPHELPER_LIBSO_VERSION)'
 
 helperincludedir = $(includedir)/odp/helper/
 helperinclude_HEADERS = \
-		  $(srcdir)/include/odp/helper/chksum.h\
-		  $(srcdir)/include/odp/helper/eth.h\
-		  $(srcdir)/include/odp/helper/icmp.h\
-		  $(srcdir)/include/odp/helper/ip.h\
-		  $(srcdir)/include/odp/helper/ipsec.h\
-		  $(srcdir)/include/odp/helper/odph_api.h\
-		  $(srcdir)/include/odp/helper/odph_cuckootable.h\
-		  $(srcdir)/include/odp/helper/odph_hashtable.h\
-		  $(srcdir)/include/odp/helper/odph_iplookuptable.h\
-		  $(srcdir)/include/odp/helper/odph_lineartable.h\
-		  $(srcdir)/include/odp/helper/strong_types.h\
-		  $(srcdir)/include/odp/helper/tcp.h\
-		  $(srcdir)/include/odp/helper/table.h\
-		  $(srcdir)/include/odp/helper/threads.h \
-		  $(srcdir)/include/odp/helper/udp.h
+		  include/odp/helper/chksum.h\
+		  include/odp/helper/eth.h\
+		  include/odp/helper/icmp.h\
+		  include/odp/helper/ip.h\
+		  include/odp/helper/ipsec.h\
+		  include/odp/helper/odph_api.h\
+		  include/odp/helper/odph_cuckootable.h\
+		  include/odp/helper/odph_hashtable.h\
+		  include/odp/helper/odph_iplookuptable.h\
+		  include/odp/helper/odph_lineartable.h\
+		  include/odp/helper/strong_types.h\
+		  include/odp/helper/tcp.h\
+		  include/odp/helper/table.h\
+		  include/odp/helper/threads.h \
+		  include/odp/helper/udp.h
 
 if helper_linux
 helperinclude_HEADERS += \
-		  $(srcdir)/include/odp/helper/linux.h
+		  include/odp/helper/linux.h
 
 helperlinuxincludedir = $(includedir)/odp/helper/linux
 helperlinuxinclude_HEADERS = \
-		  $(srcdir)/include/odp/helper/linux/pthread.h \
-		  $(srcdir)/include/odp/helper/linux/process.h
+		  include/odp/helper/linux/pthread.h \
+		  include/odp/helper/linux/process.h
 endif
 
 noinst_HEADERS = \
-		 $(srcdir)/include/odph_debug.h \
-		 $(srcdir)/include/odph_list_internal.h
+		 include/odph_debug.h \
+		 include/odph_list_internal.h
 
 __LIB__libodphelper_la_SOURCES = \
 					eth.c \
diff --git a/helper/test/Makefile.am b/helper/test/Makefile.am
index 983e2c685..0606d5727 100644
--- a/helper/test/Makefile.am
+++ b/helper/test/Makefile.am
@@ -20,19 +20,21 @@ ODP_PLATFORM=${with_platform}
 AM_CPPFLAGS = $(INCFLAGS)
 AM_LDFLAGS = -static
 
-EXECUTABLES = chksum$(EXEEXT) \
-              cuckootable$(EXEEXT) \
-              parse$(EXEEXT)\
-              table$(EXEEXT) \
-              iplookuptable$(EXEEXT)
+EXECUTABLES = chksum \
+              cuckootable \
+              parse\
+              table \
+              iplookuptable
 
 #These are platform specific extensions that are not portable
 #They are a convenience to app writers who have chosen to
 #restrict their application to Linux.
 
 if helper_linux
-EXECUTABLES += linux/pthread$(EXEEXT) \
-	       linux/process$(EXEEXT)
+EXECUTABLES += linux/pthread \
+	       linux/process
+linux_thread_SOURCES = linux/pthread.c
+linux_process_SOURCES = linux/process.c
 endif
 
 COMPILE_ONLY = odpthreads
@@ -46,7 +48,7 @@ endif
 
 test_PROGRAMS = $(EXECUTABLES) $(COMPILE_ONLY)
 
-dist_check_SCRIPTS = odpthreads_as_processes odpthreads_as_pthreads
+check_SCRIPTS = odpthreads_as_processes odpthreads_as_pthreads
 
 chksum_SOURCES = chksum.c
 cuckootable_SOURCES = cuckootable.c
diff --git a/helper/test/linux/Makefile.am b/helper/test/linux/Makefile.am
deleted file mode 100644
index f95e04d51..000000000
--- a/helper/test/linux/Makefile.am
+++ /dev/null
@@ -1,5 +0,0 @@
-
-thread_LDADD = $(LIB)/libodphelper.la $(LIB)/libodp-linux.la
-dist_thread_SOURCES = pthread.c
-dist_process_SOURCES = process.c
-process_LDADD = $(LIB)/libodphelper.la $(LIB)/libodp-linux.la